Bug 1342506 - ris-linux: ris-linux requires both Python 2 and Python 3
Summary: ris-linux: ris-linux requires both Python 2 and Python 3
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ris-linux
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2016-06-03 11:57 UTC by Tomas Orsava
Modified: 2017-02-22 16:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-22 16:21:23 UTC


Attachments (Terms of Use)

Description Tomas Orsava 2016-06-03 11:57:02 UTC
The ris-linux RPM requires both Python 2 and Python 3.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Dominika Krejčí 2016-06-16 08:31:27 UTC
Hello Jeroen,
how is it going? Do you need any help? :)

Comment 2 Jan Kurik 2016-07-26 05:10:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Fedora Admin XMLRPC Client 2016-07-30 09:55:15 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Charalampos Stratakis 2017-02-22 16:21:23 UTC
ris-linux has been retired from rawhide so closing this bugzilla


Note You need to log in before you can comment on or make changes to this bug.